#!/bin/bash
source /root/envsetup/conf.sh

sed -i "s@\[CLIENT\]@$(hostname)@" default
sed -i "s@\[CACHE_DIR\]@${CACHE_DIR}@" default
sed -i "s@\[CACHE_NAME\]@${CACHE_NAME}@" default
sed -i "s@\[CACHE_SIZE\]@${CACHE_SIZE}@" default
sed -i "s@\[CACHE_PROXY_PASS_STREAM\]@${CACHE_PROXY_PASS_STREAM}@" default
sed -i "s@\[CACHE_PROXY_PASS_VOD\]@${CACHE_PROXY_PASS_VOD}@" default
sed -i "s@\[CLIENT\]@$(hostname)@" index.html

apt-get purge -y apache2
apt-get install nginx -y
mv default /etc/nginx/sites-enabled/default
mv index.html /usr/share/nginx/html/index.html
# create crossdomain
cat << EOF >> /var/www/html/crossdomain.xml
<cross-domain-policy>
<allow-access-from domain="*" secure="false"/>
<site-control permitted-cross-domain-policies="all"/>
</cross-domain-policy>
EOF
chmod 777 /var/www/html/crossdomain.xml
update-rc.d nginx defaults
service nginx restart
